Status: New Start date: 2020-01-03
Priority: Normal % Done: 0%
Assignee: skyjake

Category: 3rd party compatibility

Target version: 3.x

Description

There should be a convenient way to play the Master Levels.
Possible approaches:

e Master Levels could use custom Episode definitions. This would allow selecting the PWAD via the New Game menu, after
which the right PWAD would be loaded automatically and the game would start in the first map of the PWAD. Requires
enhancing the Episode definitions with an "Additional Packages" property. The Master Levels Episodes DED could come built-in
with Doomsday and be loaded via a built-in profile in the game library if any Master Levels are available.

For reference:

e https://doomwiki.org/wiki/Master_Levels_for_Doom_lI
e https://doomwiki.org/wiki/DOOM-IT (original console launcher)

Related issues:

Related to Feature #2185: Package repositories In Progress  2016-11-20
Related to Bug #2382: Recognizing IWAD/PWAD files with more accuracy (using C... New 2019-12-27
Related to Feature #2394: Episodes defined in game profile New 2020-01-05
History

#1 - 2020-01-04 17:34 - Drako

It seems to me that it is worth to implement something slightly more general. Namely, there should be an easy way to organize PWAD files as
episodes in profiles. Such profiles should be easily exportable/importable so that users can share them (as text files for example). The PWAD files in
such profiles should be automatically downloaded if the URL is provided (related to Feature #1647). Maps in these PWAD could be identified by the
crc-32 of a PWAD and the MAP internal name from that PWAD (related to Bug #2382).

#2 - 2020-01-04 17:44 - skyjake
- Related to Feature #2185: Package repositories added

#3 - 2020-01-04 17:44 - skyjake
- Related to Bug #2382: Recognizing IWAD/PWAD files with more accuracy (using CRC-32) added

#4 - 2020-01-05 09:00 - skyjake
- Related to Feature #2394: Episodes defined in game profile added

#5 - 2020-01-05 12:48 - skyjake

Drako wrote:

It seems to me that it is worth to implement something slightly more general.
Added #2394 and #2395 to cover that functionality.
#6 - 2020-01-05 12:54 - skyjake

- Subject changed from Map selection Ul for Master Levels for Doom Il to Map selection Ul for Master Levels for Doom Il (Episode with additional
packages)
https://doomwiki.org/wiki/Master_Levels_for_Doom_II
#7 - 2020-01-05 12:54 - skyjake
- Description updated

#8 - 2020-12-08 08:27 - skyjake

- Target version changed from 2.3 to 3.x

2022-06-29 22


http://www.tcpdf.org

